import logging

try:
    open('/ścieżka/do/nieistniejącego/pliku', 'rb')
except Exception as exception:
    logging.error('Błąd otwarcia pliku', exc_info = True)
    logging.exception('Błąd otwarcia pliku')